# Qiskit Algorithms

[//]: # (TODO: add license banner )

## Installation

We encourage installing Qiskit Algorithms via the pip tool (a python package manager).

```bash
pip install qiskit-algorithms
```

**pip** will handle all dependencies automatically and you will always install the latest
(and well-tested) version.

If you want to work on the very latest work-in-progress versions, either to try features ahead of
their official release or if you want to contribute to Algorithms, then you can install from source.
To do this follow the instructions in the
 [documentation](https://qiskit.org/ecosystem/algorithms/getting_started.html#installation).


----------------------------------------------------------------------------------------------------

### Optional Installs

Some optimization algorithms require specific libraries to be run:

* **Scikit-quant**, may be installed using the command `pip install scikit-quant`.

* **SnobFit**, may be installed using the command `pip install SQSnobFit`.

* **NLOpt**, may be installed using the command `pip install nlopt`.

[//]: # (### Creating Your First Algorithm in Qiskit)

[//]: # (### Further examples)

----------------------------------------------------------------------------------------------------

## Contribution Guidelines

If you'd like to contribute to Qiskit Algorithms, please take a look at our
[contribution guidelines](https://github.com/qiskit-community/qiskit-algorithms/blob/main/CONTRIBUTING.md).
This project adheres to Qiskit's [code of conduct](https://github.com/qiskit-community/qiskit-algorithms/blob/main/CODE_OF_CONDUCT.md).
By participating, you are expected to uphold this code.

We use [GitHub issues](https://github.com/qiskit-community/qiskit-algorithms/issues) for tracking requests and bugs. Please
[join the Qiskit Slack community](https://qisk.it/join-slack)
and for discussion and simple questions.
For questions that are more suited for a forum, we use the **Qiskit** tag in [Stack Overflow](https://stackoverflow.com/questions/tagged/qiskit).

## Authors and Citation

Qiskit Algorithms was inspired, authored and brought about by the collective work of a team of researchers.
Algorithms continues to grow with the help and work of
[many people](https://github.com/qiskit-community/qiskit-algorithms/graphs/contributors), who contribute
to the project at different levels.
If you use Qiskit, please cite as per the provided
[BibTeX file](https://github.com/Qiskit/qiskit/blob/master/Qiskit.bib).

## License

This project uses the [Apache License 2.0](https://github.com/qiskit-community/qiskit-algorithms/blob/main/LICENSE.txt).
